Page MenuHomePhabricator

Turn wfHttpError() into a wrapper for HttpError exception
Closed, DeclinedPublic

Description

Global function wfHttpError() is only used in core by AjaxDispatcher. It should be deprecated and callers should use the HttpError exception instead.


Version: 1.20.x
Severity: enhancement

Details

Reference
bz34151

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:17 AM
bzimport set Reference to bz34151.
bzimport added a subscriber: Unknown Object (MLST).
hashar created this task.Feb 2 2012, 9:01 AM
hashar added a comment.Feb 2 2012, 9:03 AM

Additionally, we want to avoid loosing time on old stuff (example: r110486 )

demon added a comment.Feb 3 2012, 4:55 AM

(In reply to comment #1)

Additionally, we want to avoid loosing time on old stuff (example: r110486 )

Still would've lost time, since the exception still mentions HTML2 as well ;-)

I like Chad's suggestion in r110486 better. We shouldn't deprecate things that are easy enough to support with a wrapper.

(In reply to comment #2)

Still would've lost time, since the exception still mentions HTML2 as well ;-)

Exception DOCTYPE fixed with https://gerrit.wikimedia.org/r/5423

Made wfHttpError() thrown an HttpError exception with https://gerrit.wikimedia.org/r/5424

demon added a comment.Jul 3 2012, 3:09 PM

This was never merged -- needs a lot of cleanup before we do. REOPENING.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 13 2016, 10:14 AM
demon set Security to None.
demon closed this task as Declined.Sep 2 2016, 9:45 PM

Actually, I'm not convinced on this anymore. It's used in a couple of places, not just AjaxDispatcher. Plus some extensions. It's basically harmless. Declined.